Bug 256364 - sysutils/terragrunt: Update to 0.29.8
Summary: sysutils/terragrunt: Update to 0.29.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL: https://github.com/gruntwork-io/terra...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-02 03:13 UTC by Gabriel Dutra
Modified: 2021-06-07 09:15 UTC (History)
1 user (show)

See Also:


Attachments
Update to 0.29.7 (2.53 KB, patch)
2021-06-02 03:13 UTC, Gabriel Dutra
0xdutra: maintainer-approval+
Details | Diff
Update to 0.29.8 (2.53 KB, patch)
2021-06-06 00:22 UTC, Gabriel Dutra
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriel Dutra 2021-06-02 03:13:09 UTC
Created attachment 225490 [details]
Update to 0.29.7

Portlint: no errors

Tested on

FreeBSD RELEASE amd64, i386
FreeBSD 12.2    amd64, i386
FreeBSD 12.1    amd64, i386
Comment 1 Nuno Teixeira freebsd_committer 2021-06-02 05:51:01 UTC
Hello!

Could you please use DISTVERSION instead of PORTVERSION?

Example 2. Using DISTVERSION

When the version only contains numbers separated by dots, dashes or underscores, use DISTVERSION.

PORTNAME=   nekoto
DISTVERSION=	1.2-4

It will generate a PORTVERSION of 1.2.4.

https://docs.freebsd.org/en/books/porters-handbook/makefiles/#makefile-naming
Comment 2 Nuno Teixeira freebsd_committer 2021-06-04 06:00:40 UTC
To correct this you should do like this:

1. Edit port Makefile and replace PORTVERSION with DISTVERSION

2. Generate new diff

3. Upload updated diff file to this PR and check "obsolete" option for old diff.
Comment 3 Gabriel Dutra 2021-06-06 00:22:18 UTC
Created attachment 225583 [details]
Update to 0.29.8

Hi,

Problems solved.
Comment 4 Nuno Teixeira freebsd_committer 2021-06-07 05:58:18 UTC
Is there a changelog link available so that can be added to URL field?
Comment 5 commit-hook freebsd_committer 2021-06-07 09:13:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=37960a2bd4e7973ee5ab0319bab995391917348f

commit 37960a2bd4e7973ee5ab0319bab995391917348f
Author:     Gabriel Dutra <0xdutra@gmail.com>
AuthorDate: 2021-06-07 09:08:03 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-06-07 09:08:03 +0000

    sysutils/terragrunt: Update to 0.29.8

    - Replace PORTVERSION with DISTVERSION

    ChangeLog: https://github.com/gruntwork-io/terragrunt/releases/tag/v0.29.8

    PR:             256364
    Approved by:    dbaio, garga (mentors, implicit)

 sysutils/terragrunt/Makefile |  2 +-
 sysutils/terragrunt/distinfo | 14 +++++++-------
 2 files changed, 8 insertions(+), 8 deletions(-)
Comment 6 Nuno Teixeira freebsd_committer 2021-06-07 09:15:10 UTC
Committed thanks!